umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Enumerations | Functions
Uml::Visibility Namespace Reference

## Enumerations
enum | Enum { Public , Private , Protected , Implementation , FromParent = 3 , Unknown }

## Functions
QString | toString (Enum item, bool mnemonic)
Enum | fromString (const QString &item, bool checkUnknown)
Enum | fromInt (int item)

## Detailed Description

The visibility enum defines the visibility of attributes and operations.

## Enumeration Type Documentation

## ◆ Enum

enum Uml::Visibility::Enum

Enumerator
Public |
Private |
Protected |
Implementation |
FromParent |
Unknown |

## Function Documentation

## ◆ fromInt()

Enum Uml::Visibility::fromInt | ( | int | item | ) |

Convert an integer item into Visibility representation.

Parameters

  item | integer value to convert

Returns
  Visibility enum

## ◆ fromString()

Enum Uml::Visibility::fromString | ( | const QString & | item,
|  | bool | checkUnknown )

Convert a string item into Visibility representation.

Parameters

  item | item to convert
  checkUnknown | If the visibility expression in `item` is not recognized and checkUnknown is true then the value Unknown is returned.

Returns
  Visibility enum

## ◆ toString()

QString Uml::Visibility::toString | ( | Enum | item,
|  | bool | mnemonic )

Convert Visibility item into QString representation.

Parameters

  item | item to convert
  mnemonic | if true then return a single character: "+" for public, "-" for private, "#" for protected or "~" for implementation

Returns
  QString representation of Visibility